onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -radix hexadecimal /mp3_tb/clk
add wave -noupdate -radix hexadecimal /mp3_tb/read
add wave -noupdate -radix hexadecimal /mp3_tb/write
add wave -noupdate -radix hexadecimal /mp3_tb/address
add wave -noupdate -radix hexadecimal /mp3_tb/dut/datapath/address_a
add wave -noupdate -radix hexadecimal /mp3_tb/dut/datapath/rdata_a
add wave -noupdate -radix hexadecimal /mp3_tb/resp
add wave -noupdate -radix hexadecimal /mp3_tb/rdata
add wave -noupdate -radix hexadecimal /mp3_tb/dut/clk
add wave -noupdate -radix hexadecimal /mp3_tb/dut/datapath/cc_out
add wave -noupdate -radix hexadecimal /mp3_tb/dut/datapath/cccomp/to_branch
add wave -noupdate -radix hexadecimal /mp3_tb/dut/datapath/EX_MEM_ctrl_out.opcode
add wave -noupdate -radix hexadecimal /mp3_tb/dut/datapath/gen_pcmux_sel_out
add wave -noupdate -label pc_out -radix hexadecimal /mp3_tb/dut/datapath/pc_reg/out
add wave -noupdate -radix hexadecimal /mp3_tb/dut/datapath/drmux_out
add wave -noupdate -radix hexadecimal -childformat {{{/mp3_tb/dut/datapath/regfile/data[7]} -radix hexadecimal} {{/mp3_tb/dut/datapath/regfile/data[6]} -radix hexadecimal} {{/mp3_tb/dut/datapath/regfile/data[5]} -radix hexadecimal} {{/mp3_tb/dut/datapath/regfile/data[4]} -radix hexadecimal} {{/mp3_tb/dut/datapath/regfile/data[3]} -radix hexadecimal} {{/mp3_tb/dut/datapath/regfile/data[2]} -radix hexadecimal} {{/mp3_tb/dut/datapath/regfile/data[1]} -radix hexadecimal} {{/mp3_tb/dut/datapath/regfile/data[0]} -radix hexadecimal}} -subitemconfig {{/mp3_tb/dut/datapath/regfile/data[7]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/datapath/regfile/data[6]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/datapath/regfile/data[5]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/datapath/regfile/data[4]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/datapath/regfile/data[3]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/datapath/regfile/data[2]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/datapath/regfile/data[1]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/datapath/regfile/data[0]} {-height 15 -radix hexadecimal}} /mp3_tb/dut/datapath/regfile/data
add wave -noupdate -label I_state -radix hexadecimal /mp3_tb/dut/I_cache_controller/state
add wave -noupdate -label I_mem_address /mp3_tb/dut/I_cache_datapath/mem_address
add wave -noupdate -label I_tag1comp_out /mp3_tb/dut/I_cache_datapath/tag1comp_out
add wave -noupdate -label I_tag0comp_out /mp3_tb/dut/I_cache_datapath/tag0comp_out
add wave -noupdate -label I_mem_rdata -radix hexadecimal /mp3_tb/dut/I_cache_datapath/mem_rdata
add wave -noupdate -label I_data1 -radix hexadecimal -childformat {{{/mp3_tb/dut/I_cache_datapath/data_arr1/data[7]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr1/data[6]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr1/data[5]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr1/data[4]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr1/data[3]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr1/data[2]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr1/data[1]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr1/data[0]} -radix hexadecimal}} -subitemconfig {{/mp3_tb/dut/I_cache_datapath/data_arr1/data[7]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr1/data[6]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr1/data[5]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr1/data[4]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr1/data[3]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr1/data[2]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr1/data[1]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr1/data[0]} {-height 15 -radix hexadecimal}} /mp3_tb/dut/I_cache_datapath/data_arr1/data
add wave -noupdate -label I_data0 -radix hexadecimal -childformat {{{/mp3_tb/dut/I_cache_datapath/data_arr0/data[7]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr0/data[6]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr0/data[5]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr0/data[4]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr0/data[3]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr0/data[2]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr0/data[1]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/data_arr0/data[0]} -radix hexadecimal}} -subitemconfig {{/mp3_tb/dut/I_cache_datapath/data_arr0/data[7]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr0/data[6]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr0/data[5]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr0/data[4]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr0/data[3]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr0/data[2]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr0/data[1]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/data_arr0/data[0]} {-height 15 -radix hexadecimal}} /mp3_tb/dut/I_cache_datapath/data_arr0/data
add wave -noupdate -label I_mem_resp -radix hexadecimal /mp3_tb/dut/I_cache_controller/mem_resp
add wave -noupdate -label I_pmem_resp -radix hexadecimal /mp3_tb/dut/I_cache_controller/pmem_resp
add wave -noupdate -radix hexadecimal -childformat {{{/mp3_tb/dut/I_cache_datapath/tag_arr1_out[8]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr1_out[7]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr1_out[6]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr1_out[5]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr1_out[4]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr1_out[3]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr1_out[2]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr1_out[1]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr1_out[0]} -radix hexadecimal}} -subitemconfig {{/mp3_tb/dut/I_cache_datapath/tag_arr1_out[8]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr1_out[7]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr1_out[6]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr1_out[5]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr1_out[4]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr1_out[3]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr1_out[2]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr1_out[1]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr1_out[0]} {-height 15 -radix hexadecimal}} /mp3_tb/dut/I_cache_datapath/tag_arr1_out
add wave -noupdate -radix hexadecimal -childformat {{{/mp3_tb/dut/I_cache_datapath/tag_arr0_out[8]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr0_out[7]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr0_out[6]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr0_out[5]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr0_out[4]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr0_out[3]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr0_out[2]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr0_out[1]} -radix hexadecimal} {{/mp3_tb/dut/I_cache_datapath/tag_arr0_out[0]} -radix hexadecimal}} -subitemconfig {{/mp3_tb/dut/I_cache_datapath/tag_arr0_out[8]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr0_out[7]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr0_out[6]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr0_out[5]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr0_out[4]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr0_out[3]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr0_out[2]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr0_out[1]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/I_cache_datapath/tag_arr0_out[0]} {-height 15 -radix hexadecimal}} /mp3_tb/dut/I_cache_datapath/tag_arr0_out
add wave -noupdate -label D_state -radix hexadecimal /mp3_tb/dut/D_cache_controller/state
add wave -noupdate -label D_data1 -radix hexadecimal -childformat {{{/mp3_tb/dut/D_cache_datapath/data_arr1/data[7]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr1/data[6]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr1/data[5]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr1/data[4]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr1/data[3]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr1/data[2]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr1/data[1]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr1/data[0]} -radix hexadecimal}} -subitemconfig {{/mp3_tb/dut/D_cache_datapath/data_arr1/data[7]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr1/data[6]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr1/data[5]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr1/data[4]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr1/data[3]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr1/data[2]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr1/data[1]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr1/data[0]} {-height 15 -radix hexadecimal}} /mp3_tb/dut/D_cache_datapath/data_arr1/data
add wave -noupdate -label D_data0 -radix hexadecimal -childformat {{{/mp3_tb/dut/D_cache_datapath/data_arr0/data[7]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr0/data[6]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr0/data[5]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr0/data[4]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr0/data[3]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr0/data[2]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr0/data[1]} -radix hexadecimal} {{/mp3_tb/dut/D_cache_datapath/data_arr0/data[0]} -radix hexadecimal}} -subitemconfig {{/mp3_tb/dut/D_cache_datapath/data_arr0/data[7]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr0/data[6]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr0/data[5]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr0/data[4]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr0/data[3]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr0/data[2]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr0/data[1]} {-height 15 -radix hexadecimal} {/mp3_tb/dut/D_cache_datapath/data_arr0/data[0]} {-height 15 -radix hexadecimal}} /mp3_tb/dut/D_cache_datapath/data_arr0/data
add wave -noupdate -label D_mem_read -radix hexadecimal /mp3_tb/dut/D_cache_controller/mem_read
add wave -noupdate -label D_mem_address -radix hexadecimal /mp3_tb/dut/D_cache_datapath/mem_address
add wave -noupdate -radix hexadecimal /mp3_tb/dut/datapath/EX_MEM/ctrl_data.read_b
add wave -noupdate -radix hexadecimal /mp3_tb/dut/D_cache_controller/state
add wave -noupdate -radix hexadecimal /mp3_tb/dut/arbiter_ctrl/state
add wave -noupdate -radix hexadecimal /mp3_tb/dut/resp_b
add wave -noupdate -radix hexadecimal /mp3_tb/dut/arbiter_ctrl/D_pmem_resp
add wave -noupdate -label D_pmem_read -radix hexadecimal /mp3_tb/dut/D_cache_controller/pmem_read
add wave -noupdate -label D_valid1 -radix hexadecimal /mp3_tb/dut/D_cache_datapath/valid_bit_arr1/data
add wave -noupdate -label D_valid0 -radix hexadecimal /mp3_tb/dut/D_cache_datapath/valid_bit_arr0/data
add wave -noupdate -radix hexadecimal /mp3_tb/dut/datapath/marmux_out
add wave -noupdate -radix hexadecimal /mp3_tb/dut/datapath/stall
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {379088 ps} 0}
quietly wave cursor active 1
configure wave -namecolwidth 193
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 1
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ns
update
WaveRestoreZoom {319106 ps} {410215 ps}
